summaryrefslogtreecommitdiff
path: root/tests/rm/no-give-up
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/no-give-up')
-rwxr-xr-xtests/rm/no-give-up6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/rm/no-give-up b/tests/rm/no-give-up
index cabfc8840..b85132bdb 100755
--- a/tests/rm/no-give-up
+++ b/tests/rm/no-give-up
@@ -2,7 +2,7 @@
# With rm from coreutils-5.2.1 and earlier, `rm -r' would mistakenly
# give up too early under some conditions.
-# Copyright (C) 2004 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -28,7 +28,7 @@ PRIV_CHECK_ARG=require-root . $srcdir/../priv-check
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0
@@ -47,7 +47,7 @@ fi
fail=0
# This must fail, since `.' is not writable by $NON_ROOT_USERNAME.
-setuidgid $NON_ROOT_USERNAME env PATH=$PATH rm -rf d 2>/dev/null && fail=1
+setuidgid $NON_ROOT_USERNAME env PATH="$PATH" rm -rf d 2>/dev/null && fail=1
# d must remain.
test -d d || fail=1